summaryrefslogtreecommitdiff
path: root/x11-misc
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-08-24 19:33:42 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-08-24 19:33:42 +0300
commit4e753839585329b5a00bd40f168ea71d5a150b1e (patch)
tree0280d221c077830792bfd2d902c06fe9da5a3f1a /x11-misc
parente4e036791e69299ccf38b945318cfdfe867f9183 (diff)
parent9a580d6d03343489341d9d2aebade24838462e57 (diff)
Merge branch 'master' of github.com:Rogentos/kogaion-desktop
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r1.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r1.ebuild b/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r1.ebuild
new file mode 100644
index 00000000..50836e8a
--- /dev/null
+++ b/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.0-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit versionator
+
+DESCRIPTION="LightDM GTK+ Greeter"
+HOMEPAGE="http://launchpad.net/lightdm-gtk-greeter"
+SRC_URI="http://launchpad.net/lightdm-gtk-greeter/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE=""
+
+# This ebuild needs custom Kogaion themes, thus it must depend on kogaion-artwork-core
+DEPEND="x11-libs/gtk+:3"
+RDEPEND="!!<x11-misc/lightdm-1.1.1
+ app-eselect/eselect-lightdm
+ x11-libs/gtk+:3
+ >=x11-misc/lightdm-1.2.2
+ x11-themes/gnome-themes-standard
+ x11-themes/gnome-icon-theme
+ x11-themes/kogaion-artwork-core"
+
+src_prepare() {
+ # Apply custom Kogaion settings
+ sed -i \
+ -e 's:#background=.*:background=/usr/share/backgrounds/kgdm.png:' \
+ -e 's:#xft-hintstyle=.*:xft-hintstyle=hintfull:' \
+ -e 's:#xft-antialias=.*:xft-antialias=true:' \
+ -e 's:#position=.*:position=5% 50%:' \
+ -e 's:#xft-rgba=.*:xft-rgba=rgb:' "data/${PN}.conf" || die
+}
+
+pkg_postinst() {
+ # Make sure to have a greeter properly configured
+ eselect lightdm set lightdm-gtk-greeter --use-old
+}
+
+pkg_postrm() {
+ eselect lightdm set 1 # hope some other greeter is installed
+}